Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.txt
Class TXTStream

    java.lang.Object
      org.apache.fop.render.txt.TXTStream

    public class TXTStream

extends java.lang.Object

Helper class for text streams.

Constructor Summary
`TXTStream(java.io.OutputStream os)` Main constructor.

Method Summary
`void` | `add(java.lang.String str)` Adds a String to the OutputStream
`void` | `setDoOutput(boolean doout)` Controls whether output is actually written.
`void` | `setEncoding(java.lang.String encoding)` Set the encoding for the text stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TXTStream

    public TXTStream(java.io.OutputStream os)

  Main constructor.

  Parameters:
    `os` - OutputStream to write to

Method Detail

### add

    public void add(java.lang.String str)

  Adds a String to the OutputStream

  Parameters:
    `str` - String to add

### setDoOutput

    public void setDoOutput(boolean doout)

  Controls whether output is actually written.

  Parameters:
    `doout` - true to enable output, false to suppress

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Set the encoding for the text stream.

  Parameters:
    `encoding` - the encoding, if null, "UTF-8" is chosen as default

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.